--- 1	2012-06-22 12:44:12.000000000 +0200
+++ 2	2012-07-17 23:35:51.000000000 +0200
@@ -30,7 +30,8 @@
 use POSIX qw(strftime mktime);
 use MIME::QuotedPrint;
 use Mail::Sender;
-
+use Email::Send;
+use Email::Simple::Creator;
 
 my $_version = '1.11-cvs';
 
@@ -94,10 +95,10 @@
 
 my $dbtype = $ini->val('database', 'type') || 'mysql';
 my $dbhost = $ini->val('database', 'host') || 'localhost';
+my $smtp_port = $ini->val('notify', 'smtp_port') || '';
 my $dbuser = $ini->val('database', 'user') || 'root';
 my $dbpasswd = $ini->val('database', 'password') || '';
 my $dbname = $ini->val('database', 'database') || 'lms';
-
 my $smtp_host = $ini->val('notify', 'smtp_host') || 'localhost';
 my $smtp_user = $ini->val('notify', 'smtp_user') || '';
 my $smtp_pass = $ini->val('notify', 'smtp_pass') || '';
@@ -277,27 +278,27 @@
 {
 	my ($rmail, $rname, $subject, $body) = @_;
 		
-	(new Mail::Sender)->MailMsg ({
-	        smtp => $smtp_host,
-		from => $mailfrom,
-		auth => $smtp_auth,
-		authid => $smtp_user,
-		authpwd => $smtp_pass,
-		on_errors => undef,
-#		debug_level => 4,
-#		debug => './log.txt',
-                subject => encode_header($subject),
-		fake_from => $from,
-		to => $rmail,
-		fake_to => encode_header($rname).' <'.$rmail.'>',
-		replyto => $mailfrom,
-		ctype => 'text/plain',
-    		encoding => 'quoted-printable',
-		charset => 'UTF-8',
-		msg => "$body\n",
-	}) or return $Mail::Sender::Error;
-	
-	return 0;
+my $mailer = 	Email::Send->new( {
+        mailer => 'SMTP::TLS',
+        mailer_args => [
+            Host => $smtp_host,
+	    Port => $smtp_port,
+            User => $smtp_user,
+            Password => $smtp_pass,
+        ]
+    } );
+
+    my $email = Email::Simple->create(
+        header => [
+            From    => $from,
+            To      => $rmail,
+            Subject => encode_header($subject),
+        ],
+	body => "$body",
+    );
+eval { $mailer->send($email) };
+    die "Error sending email: $@" if $@;
+#$mailer->send($email);
 }
 
 sub send_message
